xmlsignature::SignatureValidator Class Reference

Validator for signatures based on a Credential. More...

`#include <xmltooling/signature/SignatureValidator.h>`

Inheritance diagram for xmlsignature::SignatureValidator:
[legend]
Collaboration diagram for xmlsignature::SignatureValidator:
[legend]

## Public Member Functions

| SignatureValidator (XSECCryptoKey *key=0)
| Constructor using a key.
| SignatureValidator (const xmltooling::Credential *credential)
| Constructor using a Credential.
void | validate (const xmltooling::XMLObject *xmlObject) const
| Checks to see if an XMLObject is valid.
virtual void | validate (const Signature *signature) const
| Type-safe validator.
void | setKey (XSECCryptoKey *key)
| Replace the current key, if any, with a new one.
void | setCredential (const xmltooling::Credential *credential)
| Replace the current Credential, if any, with a new one.

## Protected Attributes

XSECCryptoKey * | m_key
| Verification key.
const xmltooling::Credential * | m_credential
| Verification credential.

## Detailed Description

Validator for signatures based on a Credential.

## Constructor & Destructor Documentation

## SignatureValidator() [1/2]

xmlsignature::SignatureValidator::SignatureValidator | ( | XSECCryptoKey * | key = 0 | ) |

Constructor using a key.

Parameters

  key | the key to use

## SignatureValidator() [2/2]

xmlsignature::SignatureValidator::SignatureValidator | ( | const xmltooling::Credential * | credential | ) |

Constructor using a Credential.

Parameters

  credential | the credential to use

## Member Function Documentation

## setCredential()

void xmlsignature::SignatureValidator::setCredential | ( | const xmltooling::Credential * | credential | ) |

Replace the current Credential, if any, with a new one.

Parameters

  credential | the Credential to attach

## setKey()

void xmlsignature::SignatureValidator::setKey | ( | XSECCryptoKey * | key | ) |

Replace the current key, if any, with a new one.

Parameters

  key | the key to attach

## validate() [1/2]

virtual void xmlsignature::SignatureValidator::validate | ( | const Signature * | signature | ) | const

virtual

Type-safe validator.

Parameters

  signature | object to validate

## validate() [2/2]

void xmlsignature::SignatureValidator::validate | ( | const xmltooling::XMLObject * | xmlObject | ) | const

virtual

Checks to see if an XMLObject is valid.

Parameters

  xmlObject | the XMLObject to validate

Exceptions

  ValidationException | thrown if the element is not valid

Implements xmltooling::Validator.

The documentation for this class was generated from the following file:

- xmltooling/signature/SignatureValidator.h